import { Router } from 'vue-router';

function CreateToolbar(scene: Phaser.Scene, router: Router) {
  let toolbarWidth = 50; // Ширина панели инструментов
  let screenHeight = parseInt(scene.sys.game.config.height as string, 10); // Высота экрана

  let toolbar = scene.add.rectangle(0, 0, toolbarWidth, screenHeight, 0x607fd1);
  toolbar.setOrigin(0, 0); // Установить начало координат в верхний левый угол
  toolbar.setDepth(20); // Установка глубины для toolbar

  const back = scene.add.image(30, 30, 'logo').setDepth(1010);
  back.setInteractive({ cursor: 'pointer' });
  back.setScale(0.3);

  back.setInteractive();
  back.on('pointerdown', () => {
    router.push('/projects');
  });
  return toolbar;
}
export default CreateToolbar;
